Bug 1107701 - Stack trace due to audit table field being too short
Summary: Stack trace due to audit table field being too short
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:53 UTC by Bryan Kearney
Modified: 2016-04-22 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:19:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5671 None None None 2016-04-22 16:08:40 UTC

Description Bryan Kearney 2014-06-10 12:53:33 UTC
I began receiving the following trace while trying to update a parameter override.

ActiveRecord::StatementInvalid
PG::StringDataRightTruncation: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id", "associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment", "created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14, $15) RETURNING "id"
app/models/concerns/host_common.rb:46:in `block in lookup_values_attributes='
app/models/concerns/host_common.rb:39:in `each_value'
app/models/concerns/host_common.rb:39:in `lookup_values_attributes='
app/controllers/hostgroups_controller.rb:64:in `update'
app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in `call'

The parameter I'm updating contained usernames and their sha512 hashes.

Comment 1 Bryan Kearney 2014-06-10 12:53:35 UTC
Created from redmine issue http://projects.theforeman.org/issues/5671

Comment 2 Bryan Kearney 2014-06-10 12:53:40 UTC
Upstream bug assigned to dcleal@redhat.com

Comment 3 Bryan Kearney 2014-06-10 13:04:34 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5671 has been closed

Comment 6 Bryan Kearney 2014-09-11 12:19:52 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.